#!/bin/sh

#CoreFXRefPath=`readlink -e ../dlls/corefx_refs/`
#TizenDeviceAPIPath=`readlink -e ../dlls/tizen_deviceapis/`
CoreFXRefPath=`readlink -e ../dlls/desktop/`
TizenDeviceAPIPath=`readlink -e ../dlls/tizen_deviceapis/`
RoslynCscDir=/home/idkiller/work/runtime/roslyn/Binaries/Debug/csccore
RoslynCscExe=csc

RuntimeDir=/usr/share/dotnet/shared/Microsoft.NETCore.App/2.0.0
TizenDeviceAPIDir=`readlink -e ../dlls/tizen_deviceapis/`
PreloadPath=`readlink -e ./preloads`


mkdir build
cd build
#xbuild /t:Clean ../Tizen.Runtime/Tizen.Runtime.csproj
#xbuild /verbosity:diagnostic /p:CLOG=1 /p:ExternalCscPath=/home/idkiller/work/runtime/roslyn/Binaries/Debug/csccore/csc.exe /p:LauncherConfigPath=$LauncherConfigPath /p:CoreFXRefPath=$CoreFXRefPath /p:TizenDeviceAPIPath=$TizenDeviceAPIPath ../Tizen.Runtime/Tizen.Runtime.csproj
#xbuild /p:CLOG=1 /p:ExternalCscDir=$RoslynCscDir /p:ExternalCscExe=$RoslynCscExe /p:LauncherConfigPath=$LauncherConfigPath /p:CoreFXRefPath=$CoreFXRefPath /p:TizenDeviceAPIPath=$TizenDeviceAPIPath /p:PreloadPath=$PreloadPath ../Tizen.Runtime/Tizen.Runtime.csproj
#cp ../Tizen.Runtime/bin/Tizen.Runtime.* .

cmake -DCMAKE_BUILD_TYPE=Debug -DNO_TIZEN=1 -DLAUNCHER_ASSEMBLY_PATH=Tizen.Runtime.exe -DDEVICE_API_DIR=$TizenDeviceAPIDir -DRUNTIME_DIR=$RuntimeDir ../NativeLauncher/
make -j16
